JUCE: AccessibilityTableInterface Class Reference

JUCE

Public Member Functions | List of all members
AccessibilityTableInterface Class Referenceabstract
juce_gui_basics » accessibility

An abstract interface which represents a UI element that supports a table interface. More...

`#include <juce_AccessibilityTableInterface.h>`

## Public Member Functions
virtual | ~AccessibilityTableInterface ()=default
| Destructor. More...
virtual int | getNumRows () const =0
| Returns the total number of rows in the table. More...
virtual int | getNumColumns () const =0
| Returns the total number of columns in the table. More...
virtual const AccessibilityHandler * | getCellHandler (int row, int column) const =0
| Returns the AccessibilityHandler for one of the cells in the table, or nullptr if there is no cell at the specified position. More...

## Detailed Description

An abstract interface which represents a UI element that supports a table interface.

Examples of UI elements which typically support a table interface are lists, tables, and trees.

## Constructor & Destructor Documentation

## ◆ ~AccessibilityTableInterface()

virtual AccessibilityTableInterface::~AccessibilityTableInterface | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ getNumRows()

virtual int AccessibilityTableInterface::getNumRows | ( |  | ) | const
| pure virtual

Returns the total number of rows in the table.

## ◆ getNumColumns()

virtual int AccessibilityTableInterface::getNumColumns | ( |  | ) | const
| pure virtual

Returns the total number of columns in the table.

## ◆ getCellHandler()

virtual const AccessibilityHandler * AccessibilityTableInterface::getCellHandler | ( | int | row,
|  | int | column
| ) |  | const
| pure virtual

Returns the AccessibilityHandler for one of the cells in the table, or nullptr if there is no cell at the specified position.

The documentation for this class was generated from the following file:

- juce_AccessibilityTableInterface.h